datacache <- new.env(hash=TRUE, parent=emptyenv())

hugene10st <- function() showQCData("hugene10st", datacache)
hugene10st_dbconn <- function() dbconn(datacache)
hugene10st_dbfile <- function() dbfile(datacache)
hugene10st_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hugene10st_dbInfo <- function() dbInfo(datacache)

hugene10stORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hugene10st.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("hugene10st", "chip hugene10st", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hugene10st_dbconn())
}

